Index: branches/2014/dev_CNRS0_NOC1_LDF/NEMOGCM/NEMO/TOP_SRC/trcsub.F90
===================================================================
--- branches/2014/dev_CNRS0_NOC1_LDF/NEMOGCM/NEMO/TOP_SRC/trcsub.F90	(revision 4616)
+++ branches/2014/dev_CNRS0_NOC1_LDF/NEMOGCM/NEMO/TOP_SRC/trcsub.F90	(revision 4617)
@@ -1062,37 +792,12 @@
          &      avs_tm(jpi,jpj,jpk)         ,  avs_temp(jpi,jpj,jpk) ,   &
 # endif
-#if defined key_traldf_c3d
-         &      ahtt_tm(jpi,jpj,jpk)        ,  ahtt_temp(jpi,jpj,jpk),   &
+!!gm here define these arrays only if l_ldftra_time = True 
          &      ahtu_tm(jpi,jpj,jpk)        ,  ahtu_temp(jpi,jpj,jpk),   &
          &      ahtv_tm(jpi,jpj,jpk)        ,  ahtv_temp(jpi,jpj,jpk),   &
-         &      ahtw_tm(jpi,jpj,jpk)        ,  ahtw_temp(jpi,jpj,jpk),   &
-#elif defined key_traldf_c2d
-         &      ahtt_tm(jpi,jpj)            ,  ahtt_temp(jpi,jpj),       &
-         &      ahtu_tm(jpi,jpj)            ,  ahtu_temp(jpi,jpj),       &
-         &      ahtv_tm(jpi,jpj)            ,  ahtv_temp(jpi,jpj),       &
-         &      ahtw_tm(jpi,jpj)            ,  ahtw_temp(jpi,jpj),       &
-#elif defined key_traldf_c1d
-         &      ahtt_tm(jpk)                ,  ahtt_temp(jpk),           &
-         &      ahtu_tm(jpk)                ,  ahtu_temp(jpk),           &
-         &      ahtv_tm(jpk)                ,  ahtv_temp(jpk),           &
-         &      ahtw_tm(jpk)                ,  ahtw_temp(jpk),           &
-#endif
-#if defined key_traldf_eiv
-# if defined key_traldf_c3d
+!!gm here define these arrays only if l_ldfeiv_time = True 
          &      aeiu_tm(jpi,jpj,jpk)        ,  aeiu_temp(jpi,jpj,jpk),   &
          &      aeiv_tm(jpi,jpj,jpk)        ,  aeiv_temp(jpi,jpj,jpk),   &
-         &      aeiw_tm(jpi,jpj,jpk)        ,  aeiw_temp(jpi,jpj,jpk),   &
-# elif defined key_traldf_c2d
-         &      aeiu_tm(jpi,jpj)            ,  aeiu_temp(jpi,jpj),       &
-         &      aeiv_tm(jpi,jpj)            ,  aeiv_temp(jpi,jpj),       &
-         &      aeiw_tm(jpi,jpj)            ,  aeiw_temp(jpi,jpj),       &
-# elif defined key_traldf_c1d
-         &      aeiu_tm(jpk)                ,  aeiu_temp(jpk),           &
-         &      aeiv_tm(jpk)                ,  aeiv_temp(jpk),           &
-         &      aeiw_tm(jpk)                ,  aeiw_temp(jpk),           &
-# endif
-# endif
-         &      hdivn_temp(jpi,jpj,jpk)     ,  hdivb_temp(jpi,jpj,jpk),  &
-         &      rotn_temp(jpi,jpj,jpk)      ,  rotb_temp(jpi,jpj,jpk),   &
+!!gm end
+         &      hdivn_temp(jpi,jpj,jpk)     ,                            &
          &      hu_temp(jpi,jpj)            ,  hv_temp(jpi,jpj),         &
          &      hur_temp(jpi,jpj)           ,  hvr_temp(jpi,jpj),        &
@@ -1106,12 +811,4 @@
          &      emp_b_hold(jpi,jpj)         ,                            &
          &      hmld_tm(jpi,jpj)            ,  qsr_tm(jpi,jpj) ,         &
-#if defined key_ldfslp
-         &      wslpi_tm(jpi,jpj,jpk)       ,  wslpj_tm(jpi,jpj,jpk),    &
-         &      uslp_tm(jpi,jpj,jpk)        ,  vslp_tm(jpi,jpj,jpk),     &
-#endif
-#if defined key_trabbl
-         &      ahu_bbl_tm(jpi,jpj)         ,  ahv_bbl_tm(jpi,jpj),      &
-         &      utr_bbl_tm(jpi,jpj)         ,  vtr_bbl_tm(jpi,jpj),      &
-#endif
          &      rnf_tm(jpi,jpj)             ,  h_rnf_tm(jpi,jpj) ,       &
          &                                    STAT=trc_sub_alloc )  
Index: branches/2014/dev_CNRS0_NOC1_LDF/NEMOGCM/NEMO/TOP_SRC/trcwri.F90
===================================================================
--- branches/2014/dev_CNRS0_NOC1_LDF/NEMOGCM/NEMO/TOP_SRC/trcwri.F90	(revision 4616)
+++ branches/2014/dev_CNRS0_NOC1_LDF/NEMOGCM/NEMO/TOP_SRC/trcwri.F90	(revision 4617)
@@ -10,5 +10,5 @@
    !!   'key_top'                                           TOP models
    !!----------------------------------------------------------------------
-   !! trc_wri_trc   :  outputs of concentration fields
+   !! trc_wri      :  outputs of concentration fields
    !!----------------------------------------------------------------------
    USE dom_oce     ! ocean space and time domain variables
@@ -29,5 +29,9 @@
    !! * Substitutions
 #  include "top_substitute.h90"
-
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 3.3 , NEMO Consortium (2010)
+   !! $Id$ 
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 CONTAINS
 
@@ -76,8 +80,4 @@
 #endif
 
-   !!----------------------------------------------------------------------
-   !! NEMO/TOP 3.3 , NEMO Consortium (2010)
-   !! $Id$ 
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!======================================================================
 END MODULE trcwri
